spring:
  lifecycle.timeout-per-shutdown-phase: 40s
  jackson:
    default-property-inclusion: non_null
  boot:
    admin:
      client:
        instance:
          service-base-url: ${pcp.services.dynamic-plan}
          service-path: /swagger/ui
          management-base-url: ${pcp.services.dynamic-plan}
          health-url: ${pcp.services.dynamic-plan}/actuator/health

springdoc:
  swagger-ui:
    enabled: true
    layout: BaseLayout
    path: /swagger/ui
  api-docs:
    enabled: true
    path: /api-docs

logging:
  level:
    root: INFO

management:
  endpoints:
    web:
      exposure:
        include: "*"
  endpoint:
    health:
      show-details: always
    info:
      enabled: true

complex-plan:
  request-service-url: ${pcp.services.request}
  request-selection-path: /v1/requests
  ballistics-service-url: ${pcp.services.ballistics}
  satellite-catalog-service-url: ${pcp.services.satellite-catalog}
  report-dir: ${java.io.tmpdir}/pcp-dynamic-plan-service/reports
  interval-coverage-check-enabled: false
  geo-layers:
    enabled: false
    output-dir: ${java.io.tmpdir}/pcp-dynamic-plan-service/geo-layers

---
spring:
  config:
    activate:
      on-profile: local
  datasource:
    driver-class-name: org.postgresql.Driver
    url: jdbc:postgresql://${pcp.infra.postgres.host}:${pcp.infra.postgres.port}/pcp_complex_plan
    username: postgres
    password: password
  jpa:
    hibernate:
      ddl-auto: validate
    properties:
      hibernate:
        dialect: org.hibernate.dialect.PostgreSQLDialect
  flyway:
    enabled: true
    baseline-on-migrate: true
    locations: classpath:db/migration/pcp-complex-plan
  kafka:
    bootstrap-servers: ${pcp.infra.kafka.host}:${pcp.infra.kafka.port}
    template:
      default-topic: pcp.tle
    consumer:
      group-id: pcp-dynamic-plan-service

app:
  kafka:
    topics:
      satellites: pcp.satellites

server:
  port: ${pcp.ports.dynamic-plan:7014}

---
spring:
  config:
    activate:
      on-profile: dev
  datasource:
    driver-class-name: org.postgresql.Driver
    url: jdbc:postgresql://${pcp.infra.postgres.host}:${pcp.infra.postgres.port}/pcp_complex_plan
    username: postgres
    password: password
  jpa:
    hibernate:
      ddl-auto: validate
    properties:
      hibernate:
        dialect: org.hibernate.dialect.PostgreSQLDialect
  flyway:
    enabled: true
    baseline-on-migrate: true
    locations: classpath:db/migration/pcp-complex-plan
  kafka:
    bootstrap-servers: ${pcp.infra.kafka.host}:${pcp.infra.kafka.port}
    template:
      default-topic: pcp.tle
    consumer:
      group-id: pcp-dynamic-plan-service

app:
  kafka:
    topics:
      satellites: pcp.satellites

server:
  port: 8080
